GET
/members/{memberId}/points
Get a member's point balance
GET /members/{memberId}/points
Returns the current balance together with the most recent transactions.
Responses
200 — Current balance and the most recent transactions
| Property | Type | Required | Description |
|---|---|---|---|
memberId |
string | yes | Public ID of the member |
balance |
integer | yes | Points available to redeem |
recentTransactions |
PointsTransaction[] | yes | The latest transactions, newest first |
401 — Missing or invalid bearer token
| Property | Type | Required | Description |
|---|---|---|---|
type |
string (uri) | yes | URI that identifies the problem type |
title |
string | yes | Short, human-readable summary |
status |
integer | yes | HTTP status code |
detail |
string | no | Explanation specific to this occurrence |
404 — The member does not exist
| Property | Type | Required | Description |
|---|---|---|---|
type |
string (uri) | yes | URI that identifies the problem type |
title |
string | yes | Short, human-readable summary |
status |
integer | yes | HTTP status code |
detail |
string | no | Explanation specific to this occurrence |